From c6c1644d542b243d2ffdacbb0bdbd634c7937f62 Mon Sep 17 00:00:00 2001
From: Marko Lindqvist <cazfi74@gmail.com>
Date: Tue, 22 Jul 2025 06:27:05 +0300
Subject: [PATCH 13/18] installer_cross: Rename create-freeciv-sdl2-nsi.sh as
 create-freeciv-sdl-nsi.sh

See RM #1628

Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>
---
 windows/Makefile.am                                             | 2 +-
 .../{create-freeciv-sdl2-nsi.sh => create-freeciv-sdl-nsi.sh}   | 2 +-
 windows/installer_cross/installer_build.sh                      | 2 +-
 windows/installer_cross/meson-installer_build.sh                | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)
 rename windows/installer_cross/{create-freeciv-sdl2-nsi.sh => create-freeciv-sdl-nsi.sh} (99%)

diff --git a/windows/Makefile.am b/windows/Makefile.am
index 4c7e67df2b..2be956d291 100644
--- a/windows/Makefile.am
+++ b/windows/Makefile.am
@@ -31,7 +31,7 @@ dist_noinst_DATA = \
 		installer_msys2/Makefile.meson			\
 		installer_msys2/cleanup_checkout.sh		\
 		installer_cross/create-freeciv-gtk-qt-nsi.sh	\
-		installer_cross/create-freeciv-sdl2-nsi.sh	\
+		installer_cross/create-freeciv-sdl-nsi.sh	\
 		installer_cross/create-freeciv-ruledit-nsi.sh	\
 		installer_cross/installer_build.sh		\
 		installer_cross/build_all_installers.sh		\
diff --git a/windows/installer_cross/create-freeciv-sdl2-nsi.sh b/windows/installer_cross/create-freeciv-sdl-nsi.sh
similarity index 99%
rename from windows/installer_cross/create-freeciv-sdl2-nsi.sh
rename to windows/installer_cross/create-freeciv-sdl-nsi.sh
index cfd9c21faf..e9df763e51 100755
--- a/windows/installer_cross/create-freeciv-sdl2-nsi.sh
+++ b/windows/installer_cross/create-freeciv-sdl-nsi.sh
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-# ./create-freeciv-sdl2-nsi.sh <freeciv files dir> <output dir> <version> <win32|win64|win> [uninstall setup script]
+# ./create-freeciv-sdl-nsi.sh <freeciv files dir> <output dir> <version> <win32|win64|win> [uninstall setup script]
 
 if test "$5" != "" && ! test -x "$5" ; then
   echo "$5 not an executable script" >&2
diff --git a/windows/installer_cross/installer_build.sh b/windows/installer_cross/installer_build.sh
index b1b4100375..db8e7e2e65 100755
--- a/windows/installer_cross/installer_build.sh
+++ b/windows/installer_cross/installer_build.sh
@@ -292,7 +292,7 @@ else
   esac
 
   if test "$GUI" = "sdl2" ; then
-    if ! ./create-freeciv-sdl2-nsi.sh \
+    if ! ./create-freeciv-sdl-nsi.sh \
            "$INSTDIR" "autotools/output" "$VERREV" "$SETUP" \
            "helpers/uninstaller-helper-gtk3.sh" \
              > "${NSI_DIR}/client-${SETUP}-${VERREV}-${GUI}.nsi"
diff --git a/windows/installer_cross/meson-installer_build.sh b/windows/installer_cross/meson-installer_build.sh
index 0094218d08..9a05036554 100755
--- a/windows/installer_cross/meson-installer_build.sh
+++ b/windows/installer_cross/meson-installer_build.sh
@@ -299,7 +299,7 @@ else
   NSI_FILE="${NSI_DIR}/client-${SETUP}-${VERREV}-${GUI}.nsi"
 
   if test "$GUI" = "sdl2" ; then
-    if ! ./create-freeciv-sdl2-nsi.sh \
+    if ! ./create-freeciv-sdl-nsi.sh \
            "$INSTDIR" "meson/output" "$VERREV" "$SETUP" "$UNINSTALLER" \
              > "$NSI_FILE"
     then
-- 
2.47.2

